- [HTTP request](https://docs.cloud.google.com/workstations/docs/reference/rest/v1beta/projects.locations.workstationClusters.workstationConfigs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/workstations/docs/reference/rest/v1beta/projects.locations.workstationClusters.workstationConfigs/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/workstations/docs/reference/rest/v1beta/projects.locations.workstationClusters.workstationConfigs/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/workstations/docs/reference/rest/v1beta/projects.locations.workstationClusters.workstationConfigs/list#body.request_body)
- [Response body](https://docs.cloud.google.com/workstations/docs/reference/rest/v1beta/projects.locations.workstationClusters.workstationConfigs/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/workstations/docs/reference/rest/v1beta/projects.locations.workstationClusters.workstationConfigs/list#body.ListWorkstationConfigsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/workstations/docs/reference/rest/v1beta/projects.locations.workstationClusters.workstationConfigs/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/workstations/docs/reference/rest/v1beta/projects.locations.workstationClusters.workstationConfigs/list#try-it)

Returns all workstation configurations in the specified cluster.

### HTTP request

Choose an endpoint:
global asia-south1 europe-west6 us-central1 us-east1 us-east4 us-east5 us-west1 us-west4   
`GET https://workstations.googleapis.com/v1beta/{parent=projects/*/locations/*/workstationClusters/*}/workstationConfigs`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent resource name. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Maximum number of items to return. |
| `pageToken` | `string` Optional. nextPageToken value returned from a previous List request, if any. |
| `filter` | `string` Optional. Filter the WorkstationConfigs to be listed. Possible filters are described in <https://google.aip.dev/160>. |

### Request body

The request body must be empty.

### Response body

Response message for workstationConfigs.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "workstationConfigs": [ { object (`https://docs.cloud.google.com/workstations/docs/reference/rest/v1beta/projects.locations.workstationClusters.workstationConfigs#WorkstationConfig`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `workstationConfigs[]` | ``object (`https://docs.cloud.google.com/workstations/docs/reference/rest/v1beta/projects.locations.workstationClusters.workstationConfigs#WorkstationConfig`)`` The requested configs. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |
| `unreachable[]` | `string` Unreachable resources. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).